import { generateRandomArray, isSort } from "../util/index.mjs";

/**
 * 插入排序
 * @param {number[]} arr 
 */
export function insertionSort(arr){
    let n = arr.length;
    for (let i = 1; i<n; i++) {
        let currentElement = arr[i]
        let j = i-1
        while(j>=0 && arr[j] > currentElement) {
            arr[j+1] = arr[j]
            j--
        }
        arr[j+1] = currentElement
    }
}
